GlobalRef (Jython API documentation)
Date: 2012-08-13

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.modules._weakref
Class GlobalRef

    java.lang.Object
      java.lang.ref.Reference<T>
          java.lang.ref.WeakReference
              org.python.modules._weakref.GlobalRef

    public class GlobalRef

extends WeakReference

Constructor Summary
`GlobalRef(PyObject object)`

Method Summary
`void` | `add(AbstractReference ref)`
`int` | `count()`
`boolean` | `equals(Object o)` Allow GlobalRef's to be used as hashtable keys.
`static int` | `getCount(PyObject object)` Return the number of references to the specified PyObject.
`static PyList` | `getRefs(PyObject object)` Return a list of references to the specified PyObject.
`int` | `hashCode()` Allows GlobalRef to be used as hashtable keys.
`static GlobalRef` | `newInstance(PyObject object)` Create a new tracked GlobalRef.
`int` | `pythonHashCode()` The publicly used hashCode, for the AbstractReference wrapper.
`PyList` | `refs()`

Methods inherited from class java.lang.ref.Reference
`clear, enqueue, get, isEnqueued`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalRef

    public GlobalRef(PyObject object)

Method Detail

### add

    public void add(AbstractReference ref)

### count

    public int count()

### refs

    public PyList refs()

### newInstance

    public static GlobalRef newInstance(PyObject object)

  Create a new tracked GlobalRef.

  Parameters:
    `object` - a PyObject to reference
  Returns:
    a new tracked GlobalRef

### getCount

    public static int getCount(PyObject object)

  Return the number of references to the specified PyObject.

  Parameters:
    `object` - a PyObject
  Returns:
    an int reference count

### getRefs

    public static PyList getRefs(PyObject object)

  Return a list of references to the specified PyObject.

  Parameters:
    `object` - a PyObject
  Returns:
    a PyList of references. may be empty

### equals

    public boolean equals(Object o)

  Allow GlobalRef's to be used as hashtable keys.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Allows GlobalRef to be used as hashtable keys.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hashCode int value

### pythonHashCode

    public int pythonHashCode()

  The publicly used hashCode, for the AbstractReference wrapper.

  Returns:
    a hashCode int value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage